import request from '@/utils/request'

// 查询伴宠师认证列表
export function listAppletUsersTeacher(query) {
  return request({
    url: '/model/AppletUsersTeacher/list',
    method: 'get',
    params: query
  })
}

// 查询伴宠师认证详细
export function getAppletUsersTeacher(id) {
  return request({
    url: '/model/AppletUsersTeacher/' + id,
    method: 'get'
  })
}

// 新增伴宠师认证
export function addAppletUsersTeacher(data) {
  return request({
    url: '/model/AppletUsersTeacher',
    method: 'post',
    data: data
  })
}

// 修改伴宠师认证
export function updateAppletUsersTeacher(data) {
  return request({
    url: '/model/AppletUsersTeacher',
    method: 'put',
    data: data
  })
}

// 删除伴宠师认证
export function delAppletUsersTeacher(id) {
  return request({
    url: '/model/AppletUsersTeacher/' + id,
    method: 'delete'
  })
}
